List Users
curl --request GET \
--url https://data.craftflow.co/api/v1/users/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.craftflow.co/api/v1/users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.craftflow.co/api/v1/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"email": "jane@example.com",
"first_name": "Jane",
"last_name": "Smith",
"full_name": "Jane Smith",
"is_active": true,
"permissions": [
"call_center_ai_coach",
"call_center_ai_record"
],
"created_at": "2025-06-15T14:30:00Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"is_active": true,
"permissions": [
"ridealong_record"
],
"created_at": "2025-05-10T09:15:00Z"
}
],
"pagination": {
"count": 2,
"page": 1,
"page_size": 25,
"total_pages": 1
}
}{
"error": {
"detail": "Invalid API key."
}
}{
"error": {
"detail": "Request was throttled. Expected available in 60 seconds."
}
}Users
List Users
Retrieve a paginated list of users in your company.
GET
/
users
/
List Users
Authorizations
Your API key, prefixed with cf_live_.
Query Parameters
Filter by active status.
Sort results by a field. Prefix with - for descending order.
Available options:
created_at, -created_at Page number.
Required range:
x >= 1Number of results per page.
Required range:
1 <= x <= 100⌘I